library(data.table)
library(ggplot2)
library(plotly)

dtOrig <- fread("Frequenzen.csv")
dt <- dtOrig[1:(nrow(dtOrig)-0)]
#dt <- dt[1:floor(nrow(dt)/2)]
dtPlot <- melt.data.table(dt, id.vars = "Frequenz", measure.vars = c("Realteil", "Imaginaerteil", "Betrag"))
#dt[, Frequenz := Frequenz-max(Frequenz)/2]

p <- ggplot(dt[Frequenz < max(Frequenz) / 2], aes(x = Frequenz, y = Betrag)) +
  geom_line() +
  #geom_point() +
  theme_minimal() +
  ylab("Amplitude") +
  xlab("Frequenz in Hz")
ggplotly(p)


fig <- plot_ly(dt, x = ~Frequenz, y = ~Realteil, z = ~Imaginaerteil, type = 'scatter3d', mode = 'lines',
               opacity = 1, line = list(width = 6, color = ~Betrag, reverscale = FALSE))

fig
